MQTT C Client Libraries Internals: MQTTAsync_successData5 Struct Reference

| MQTT C Client Libraries Internals

Loading...
Searching...
No Matches
Data Fields
MQTTAsync_successData5 Struct Reference

The data returned on completion of a successful API call in the response callback onSuccess. More...

`#include <MQTTAsync.h>`

Collaboration diagram for MQTTAsync_successData5:
[legend]

## Data Fields
char | struct_id [4]
| The eyecatcher for this structure.
int | struct_version
| The version number of this structure.
MQTTAsync_token | token
| A token identifying the successful request.
enum MQTTReasonCodes | reasonCode
| MQTT V5 reason code returned.
MQTTProperties | properties
| MQTT V5 properties returned, if any.
union { |
struct { |
int reasonCodeCount |
| the number of reason codes in the reasonCodes array
enum MQTTReasonCodes * reasonCodes |
| an array of reasonCodes
} sub
| For subscribeMany, the list of reasonCodes returned by the server.
struct { |
MQTTAsync_message message |
| the message being sent to the server
char * destinationName |
| the topic destination for the message
} pub
| For publish, the message being sent to the server.
struct { |
char * serverURI |
| the connection string of the server
int MQTTVersion |
| the version of MQTT being used
int sessionPresent |
| the session present flag returned from the server
} connect
struct { |
int reasonCodeCount |
| the number of reason codes in the reasonCodes array
enum MQTTReasonCodes * reasonCodes |
| an array of reasonCodes
} unsub
| For unsubscribeMany, the list of reasonCodes returned by the server.
} | alt
| A union of the different values that can be returned for subscribe, unsubscribe and publish.

## Detailed Description

The data returned on completion of a successful API call in the response callback onSuccess.

## Field Documentation

## ◆ struct_id

char MQTTAsync_successData5::struct_id[4]

The eyecatcher for this structure.

Will be MQSD.

## ◆ struct_version

int MQTTAsync_successData5::struct_version

The version number of this structure.

Will be 0

## ◆ token

MQTTAsync_token MQTTAsync_successData5::token

A token identifying the successful request.

Can be used to refer to the request later.

The documentation for this struct was generated from the following file:

- MQTTAsync.h